Bug 729153 - [abrt] gnome-power-manager-3.0.2-2.fc15: __GI_raise: Process /usr/bin/gnome-power-statistics was killed by signal 6 (SIGABRT)
Summary: [abrt] gnome-power-manager-3.0.2-2.fc15: __GI_raise: Process /usr/bin/gnome-p...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:567b5d9b5a13156d8f1e2816978...
: 691104 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 21:07 UTC by Pawel Salek
Modified: 2012-08-07 18:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:13:30 UTC


Attachments (Terms of Use)
File: maps (27.61 KB, text/plain)
2011-08-08 21:07 UTC, Pawel Salek
no flags Details
File: backtrace (22.24 KB, text/plain)
2011-08-08 21:07 UTC, Pawel Salek
no flags Details

Description Pawel Salek 2011-08-08 21:07:38 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/bin/gnome-power-statistics --device /org/freedesktop/UPower/devices/battery_BAT1
comment:        I clicked on the battery icon in the tool bar (GNOME2 + Compiz environment).
component:      gnome-power-manager
crash_function: __GI_raise
executable:     /usr/bin/gnome-power-statistics
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        gnome-power-manager-3.0.2-2.fc15
reason:         Process /usr/bin/gnome-power-statistics was killed by signal 6 (SIGABRT)
time:           Mon Aug  8 23:02:36 2011
uid:            500
username:       pawsa
var_log_messages: Aug  8 23:02:36 hyperv abrt[8174]: saved core dump of pid 8171 (/usr/bin/gnome-power-statistics) to /var/spool/abrt/ccpp-2011-08-08-23:02:36-8171.new/coredump (20684800 bytes)

backtrace:      Text file, 22776 bytes
maps:           Text file, 28268 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:1ec7f89f76e8988f43ceb32fccd92d513dffef8e
:e10b92bc851cfeb7fae30227813f5dc4aeda7d17
:183170f821d30bbd46f3118fd22b898f739d3b80
:189c7475c0490584f314acd7377d00adc0fc2b1a
:230660e7b50046ace97b7c95c235375fdc1e2a07
:1916190a2901d92261cb9eccc802f5e31506a7ae
:46caf50b7b8405049cc76b9d88092acce249ec89
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:13ff10a075f084abf260b9dd96618c1037ba3d75
:9e7f9920023c7d8d35e94b041966c802abfbb0a9
:1406558950ff100eb0320a325b3ea7961ba1a775
:9cd020ec2107c08febe2c8fcabd158212c207854
:a1920333deacdc9917d324ec2eda595e12d29e2e
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:096d5ffaa54bc927bbff329fc72f6207137ad809
:2c5b60b2c0c44e40c45b22e8ea71a8836fbe9344
:020ea634b00e306a5ba5982d96f7f55c560bee88
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:585e18f56063dab8934660820f0c63765c6c1a1f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:f77561c1910d48f6d02230d9837b95851d06a761
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:4953d1f613914126bccceb3cb96386647ffba9df
:0911ea7c180d733724f89037b8e8a34e64024aec
:cdd87cfe38115dcd04c1503689de2a4f5913d6ef
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:634eca0cadcf35206919dd5e6a8e2e8601276947
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:ebb6702a16d91f29f76e61e919170eba439029c5
:263808e67654286dd52d513eff5f47217feb6bf2
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:91689252818532ec13597b6528d38be93b2706c4
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:544eb865267266a3a113846a945482a0040a8134
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:566dd91484856851a473a96b144ea472c1d4332d
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:886e076a93ae3bc92fb15c6e575d3ed17259d687

dso_list:
:/lib64/libcrypt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309373806
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306388365
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.0.2-1.fc15.x86_64 (Fedora Project) 1306566228
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1306388061
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1306388375
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1306387719
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307912292
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311070823
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1306388069
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1306387660
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1306387716
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309959813
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1306387868
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1306387728
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1306387715
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1306388125
:/usr/lib64/libupower-glib.so.1.0.1 upower-0.9.12-1.fc15.x86_64 (Fedora Project) 1310503524
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307912296
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312827245
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1306388032
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1306388374
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307912292
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/usr/lib64/libgdk-3.so.0.0.12 gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1312827260
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1306388605
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1306388374
:/usr/bin/gnome-power-statistics gnome-power-manager-3.0.2-2.fc15.x86_64 (Fedora Project) 1312827451
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1306387720
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306387707
:/lib64/libutil-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307912292
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1306387685
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1306387676
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306387707
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307912292
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1306387698
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1306387717
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1306387718
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1306387709
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1306387664
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.7.5-1.x86_64 (Fedora Project) 1306388091
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312827247
:/usr/lib64/librsvg-2.so.2.32.1 librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1306388375
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306388365
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1306387714
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1306387718
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1306387710
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308889434
:/usr/lib64/libgtk-3.so.0.0.12 gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1312827260
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1306387660
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307912292
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1306387680
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1306387720
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1306387709
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306387716
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1306387697
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307912296
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309373837
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1312827260
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309959824
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1306387667
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-3.fc15.x86_64 (Fedora Project) 1306388038
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306388365
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1306388037

environ:
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1739
:HOSTNAME=hyperv
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/bash
:MAKEFLAGS=-j2
:HISTSIZE=1000
:XDG_SESSION_COOKIE=0d47b1b65956681b3e54e90a00000026-1312829516.899795-721294977
:GNOME_KEYRING_CONTROL=/tmp/keyring-qSE0qX
:IMSETTINGS_MODULE=none
:USER=pawsa
:SSH_AUTH_SOCK=/tmp/keyring-qSE0qX/ssh
:USERNAME=pawsa
:MAIL=/var/spool/mail/pawsa
:DESKTOP_SESSION=compiz-gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/pawsa/bin
:QT_IM_MODULE=xim
:PWD=/home/pawsa
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1598
:GDM_LANG=
:GDMSESSION=compiz-gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/pawsa
:LOGNAME=pawsa
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-qdFsjlGvgc,guid=d773f88f93fd342e6e6141a900000060
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/pawsa
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-pawsa-V1b8Hm/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1606,unix/unix:/tmp/.ICE-unix/1606
:ORBIT_SOCKETDIR=/tmp/orbit-pawsa
:GPG_AGENT_INFO=/tmp/keyring-qSE0qX/gpg:0:1
:DESKTOP_AUTOSTART_ID=107cb39cf5e2007d4f131282951829716500000016060007

xsession_errors:
:(gnome-power-statistics:8171): PowerManager-DEBUG: got filename: ac-adapter;
:(gnome-power-statistics:8171): PowerManager-DEBUG: got filename: gpm-battery-missing;gpm-battery-000;battery-missing;
:(gnome-power-statistics:8171): PowerManager-DEBUG: got filename: gpm-battery-full;gpm-battery-100;battery-full-charged;battery-full-charging;
:(gnome-power-statistics:8171): PowerManager-DEBUG: selected row is: /org/freedesktop/UPower/devices/line_power_AC
:(gnome-power-statistics:8190): PowerManager-DEBUG: got filename: ac-adapter;
:(gnome-power-statistics:8190): PowerManager-DEBUG: got filename: gpm-battery-missing;gpm-battery-000;battery-missing;
:(gnome-power-statistics:8190): PowerManager-DEBUG: got filename: gpm-battery-full;gpm-battery-100;battery-full-charged;battery-full-charging;
:(gnome-power-statistics:8190): PowerManager-DEBUG: selected row is: /org/freedesktop/UPower/devices/line_power_AC

Comment 1 Pawel Salek 2011-08-08 21:07:42 UTC
Created attachment 517308 [details]
File: maps

Comment 2 Pawel Salek 2011-08-08 21:07:44 UTC
Created attachment 517309 [details]
File: backtrace

Comment 3 Pawel Salek 2011-08-08 21:11:08 UTC
Package: gnome-power-manager-3.0.2-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Clicked on one of the upper tabs.

Comment 4 Richard Hughes 2011-11-15 13:16:14 UTC
Does this still happen in F16? Thanks.

Comment 5 abrt-bot 2012-03-21 14:34:19 UTC
*** Bug 691104 has been marked as a duplicate of this bug. ***

Comment 6 Fedora End Of Life 2012-08-07 18:13:32 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.